Bug 850037 - Introduce new systemd-rpm macros in audio-entropyd spec file
Introduce new systemd-rpm macros in audio-entropyd spec file
Product: Fedora
Classification: Fedora
Component: audio-entropyd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
Depends On:
Blocks: 850016
  Show dependency treegraph
Reported: 2012-08-21 09:25 EDT by Lukáš Nykrýn
Modified: 2012-09-17 17:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-17 17:54:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:25:44 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Fedora Update System 2012-08-23 14:15:41 EDT
audio-entropyd-2.0.3-3.fc18 has been submitted as an update for Fedora 18.
Comment 2 Fedora Update System 2012-08-23 21:23:06 EDT
Package audio-entropyd-2.0.3-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing audio-entropyd-2.0.3-3.fc18'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-09-17 17:54:23 EDT
audio-entropyd-2.0.3-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.